diff --git a/Makefile b/Makefile
index e454d66..124f8bb 100644
--- a/Makefile
+++ b/Makefile
@@ -183,6 +183,16 @@ ZIPOBJS	 = zipfile.o \
 #--------------------------build
 all	: build
 
+ifdef USE_SYSTEM_LIBS
+build : dirs \
+	tktable tkcon xmlrpc blt \
+	tclxml tkimg tkmpeg html \
+	xpa iis checkdns $(SIGNAL) funtools \
+	ast wcssubs \
+	rice hcompress plio \
+	$(OPTDIR) \
+	saotk zip zvfs ds9
+else
 build : dirs \
 	tcl tk \
 	tktable tkcon xmlrpc blt \
@@ -192,6 +202,7 @@ build : dirs \
 	rice hcompress plio \
 	$(OPTDIR) \
 	saotk zip zvfs ds9
+endif
 
 doc	: FORCE
 	@echo "Making Documentation..."
@@ -206,8 +217,8 @@ language: FORCE
 	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl fr iso8859-1
 	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl pt iso8859-1
 	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl cs iso8859-2
-	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl ja euc-jp
-	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl zh big5
+	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl ja utf-8
+	grep 'msgcat::mc' src/*.tcl | tclsh8.5 util/mergedict.tcl zh utf-8
 
 #--------------------------items
 
@@ -257,18 +268,22 @@ dirs	: FORCE
 tcl	: FORCE
 	@echo "Installing Tcl..."
 	cd $(TCLDIRDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) $(TCLFLAGS) --disable-shared --cache-file=$(CACHE)
-	cd $(TCLDIRDIR); $(MAKE) -j $(JOBS); $(MAKE) install
+	$(MAKE) -C $(TCLDIRDIR)
+	$(MAKE) -C $(TCLDIRDIR) install
 
 tk	: FORCE
 	@echo "Installing Tk..."
 	cd $(TKDIRDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) $(TCLFLAGS) --disable-shared --cache-file=$(CACHE)
-	cd $(TKDIRDIR); $(MAKE) -j $(JOBS); $(MAKE) install
+	$(MAKE) -C $(TKDIRDIR)
+	$(MAKE) -C $(TKDIRDIR) install
 	$(RM) -r lib/$(TKVER)/demos
 
 tktable	: FORCE
 	@echo "Installing TkTable..."
-	cd $(TKTABLEDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) $(TKTABLEFLAGS) --disable-shared --cache-file=$(CACHE)
-	cd $(TKTABLEDIR); $(MAKE) -j $(JOBS) ; $(MAKE) install
+	cd $(TKTABLEDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) $(TCL_CONFIG) $(TK_CONFIG) $(TKTABLEFLAGS) --disable-shared --cache-file=$(CACHE)
+	$(MAKE) -C $(TKTABLEDIR)
+	mkdir -p lib/Tktable2.10
+	cp $(TKTABLEDIR)/*.a lib/Tktable2.10
 
 tkcon	: FORCE
 	@echo "Installing TkCon..."
@@ -284,64 +299,73 @@ xmlrpc	: FORCE
 
 blt	: FORCE
 	@echo "Installing BLT..."
-	cd $(BLTDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --with-tcl=$(root)/$(TCLDIR) --with-tk=$(root)/$(TKDIR) $(BLTFLAGS) --disable-shared --cache-file=$(CACHE)
-	cd $(BLTDIR)/src; $(MAKE) -j $(JOBS) build_static
+	cd $(BLTDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) $(TCL_CONFIG) $(TK_CONFIG) $(BLTFLAGS) --disable-shared --cache-file=$(CACHE)
+	$(MAKE) -C $(BLTDIR)/src build_static
 	cp $(BLTDIR)/src/*.a lib/.
 	cd $(BLTDIR)/src; cp $(BLTINCL) ../../include/.
 
 zlib  : FORCE
 	@echo "Installing zlib..."
 	cd $(ZLIBDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --static
-	cd $(ZLIBDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(ZLIBDIR) install
 
 tclxml	: FORCE
 	@echo "Installing TCLXML..."
 	cd $(TCLXMLDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --disable-shared --disable-threads --with-xml-static=1 $(TCLXMLFLAGS) --cache-file=$(CACHE)
-	cd $(TCLXMLDIR); $(MAKE) -j $(JOBS) ; $(MAKE) install
+	$(MAKE) -C $(TCLXMLDIR)
+	mkdir -p lib/Tclxml3.2
+	cp $(TCLXMLDIR)/*.a lib/Tclxml3.2
 
 tkimg	: libtiff
 	@echo "Installing TKIMG..."
-	cd $(TKIMGDIR); CC='$(CC)' CFLAGS='$(OPTS) -DPNG_NO_WRITE_gAMA' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --with-tcl=$(root)/$(TCLDIRDIR) --with-tk=$(root)/$(TKDIRDIR) $(TKIMGFLAGS) --disable-shared --disable-threads --cache-file=$(LOCALCACHE)
-	cd $(TKIMGDIR); $(MAKE) -j $(JOBS) all; $(MAKE) install
+	cd $(TKIMGDIR); CC='$(CC)' CFLAGS='$(OPTS) -DPNG_NO_WRITE_gAMA' LDFLAGS='$(LIBS)' ./configure --prefix $(root) $(TCL_CONFIG) $(TK_CONFIG) $(TKIMGFLAGS) --disable-shared --disable-threads --cache-file=$(LOCALCACHE)
+	$(MAKE) -C $(TKIMGDIR) all
+	mkdir -p lib/Img1.4
+	find $(TKIMGDIR) -name "*.a" | xargs -n1 -i cp {} lib/Img1.4
 
 libtiff	: FORCE
 	@echo "Installing LIBTIFF..."
 	cd $(TKIMGDIR)/compat/libtiff; CC='$(CC)' CFLAGS='$(OPTS)' CXX='$(CC)' CXXFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --disable-shared --cache-file=$(LOCALCACHE)
-	cd $(TKIMGDIR)/compat/libtiff; $(MAKE) -j $(JOBS) ; $(MAKE) install
+	$(MAKE) -C $(TKIMGDIR)/compat/libtiff
+	$(MAKE) -C $(TKIMGDIR)/compat/libtiff install
 
 tkmpeg	: FORCE
 	@echo "Installing TKMPEG..."
-	cd $(TKMPEGDIR); $(MAKE) -j $(JOBS)
-	cd $(TKMPEGDIR); $(MAKE) install
+	$(MAKE) -C $(TKMPEGDIR)
+	$(MAKE) -C $(TKMPEGDIR) install
 
+# This needs a special make.  Run only with TCL_CONFIG and ignore 
+# cache file
 html	: FORCE
 	@echo "Installing HTMLWIDGET..."
-	cd $(HTMLDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' $(PREHTMLFLAGS) $(root)/htmlwidget/configure --prefix $(root) --with-tcl=$(root)/$(TCLDIR) --with-tk=$(root)/$(TKDIR) $(XFLAGS) --enable-shared=no --cache-file=$(CACHE)
-	cd $(HTMLDIR); $(MAKE) headers libtkhtml.a
+	rm -f $(HTMLDIR)/config.cache
+	cd $(HTMLDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' $(PREHTMLFLAGS) $(root)/htmlwidget/configure --prefix $(root) $(TCL_CONFIG) --enable-shared=no
+	$(MAKE) -C $(HTMLDIR) headers libtkhtml.a
 	cp $(HTMLDIR)/libtkhtml.a lib/.
 
 xpa	: FORCE
 	@echo "Installing XPA..."
 	cd $(XPADIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --with-tcl=$(root)/$(TCLDIRDIR) $(XPAFLAGS) --disable-shared --cache-file=$(CACHE)
-	cd $(XPADIR); $(MAKE) -j $(JOBS); $(MAKE) install
+	$(MAKE) -C $(XPADIR)
+	$(MAKE) -C $(XPADIR) install
 	cd bin; strip xpa*
 
 iis	: FORCE
 	@echo "Installing IIS..."
-	cd $(IISDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(IISDIR) install
 
 checkdns: FORCE
 	@echo "Installing CheckDNS..."
-	cd $(CHECKDNSDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(CHECKDNSDIR) install
 
 signal: FORCE
 	@echo "Installing Signal..."
-	cd $(SIGNALDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(SIGNALDIR) install
 
 funtools: FORCE
 	@echo "Installing Funtools..."
-	cd $(FUNTOOLSDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --with-zlib=../../lib/libz.a --with-wcslib=../lib/libwcs.a --enable-mainlib $(FUNTOOLSFLAGS)
-	cd $(FUNTOOLSDIR); $(MAKE) lib
+	cd $(FUNTOOLSDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --with-zlib=$(LIBDIR)/libz.a --with-wcslib=../lib/libwcs.a --enable-mainlib $(FUNTOOLSFLAGS)
+	$(MAKE) -C $(FUNTOOLSDIR) lib
 	cp $(FUNTOOLSDIR)/libfuntools.a lib/.
 
 ast	: FORCE
@@ -351,33 +375,33 @@ ast	: FORCE
 	touch Makefile.in; sleep 1; \
 	touch configure; \
 	./configure --enable-shared=no --prefix=$(root) $(ASTFLAGS) CC='$(CC)' CFLAGS='$(OPTS) -I.'; \
-	$(MAKE) -j $(JOBS) ast.h install-libLTLIBRARIES install-nodist_includeHEADERS install-includeHEADERS
+	$(MAKE) ast.h install-libLTLIBRARIES install-nodist_includeHEADERS install-includeHEADERS
 
 wcssubs	: FORCE
 	@echo "Installing WCSSUBS..."
-	cd $(WCSSUBSDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(WCSSUBSDIR) install
 
 rice	: FORCE
 	@echo "Installing RICE..."
-	cd $(RICEDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(RICEDIR) install
 
 hcompress: FORCE
 	@echo "Installing HCOMPRESS..."
-	cd $(HCOMPRESSDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(HCOMPRESSDIR) install
 
 plio: FORCE
 	@echo "Installing PLIO..."
-	cd $(PLIODIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(PLIODIR) install
 
 ifdef OPTDIR
 $(OPTDIR) : FORCE
 	@echo "Installing $(OPTDIR)..."
-	cd $(OPTDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(OPTDIR) install
 endif
 
 saotk	: FORCE
 	@echo "Installing SAOTK..."
-	cd $(SAOTKDIR); $(MAKE) -j $(JOBS) install
+	$(MAKE) -C $(SAOTKDIR) CCOPT='$(TKTCL_INCLUDE)' install
 
 zip	: FORCE
 	@echo "Installing ZIP..."
@@ -389,8 +413,8 @@ zip	: FORCE
 
 zvfs	: FORCE
 	@echo "Installing ZVFS..."
-	cd $(ZVFSDIR); $(MAKE)
-	cd $(ZVFSDIR); $(MAKE) install
+	$(MAKE) -C $(ZVFSDIR) CCOPT='$(TKTCL_INCLUDE)'
+	$(MAKE) -C $(ZVFSDIR) install
 
 #--------------------------clean
 
diff --git a/ds9/Makefile b/ds9/Makefile
index d21a188..c62dba8 100644
--- a/ds9/Makefile
+++ b/ds9/Makefile
@@ -4,10 +4,15 @@ include ../make.pkgs
 #--------------------------defines
 
 ZDIR	= zipdir/zvfsmntpt
-FFILES	= $(ZDIR)/$(TCLVER) \
-	$(ZDIR)/tcl8 \
-	$(ZDIR)/$(TKVER) \
-	$(ZDIR)/$(BLTVER) \
+ifdef USE_SYSTEM_LIBS
+FFILES =
+else
+FFILES = $(ZDIR)/$(TCLVER) \
+       $(ZDIR)/tcl8 \
+       $(ZDIR)/$(TKVER)
+endif
+
+FFILES	+= $(ZDIR)/$(BLTVER) \
 	$(ZDIR)/$(TCLLIBVER) \
 	$(ZDIR)/$(TKCONVER) \
 	$(ZDIR)/$(XMLRPCVER) \
@@ -27,6 +32,10 @@ endif
 # for unix, macosx
 MAINDIR = ../$(TKDIR)/unix
 MAIN	= tkAppInit
+ifndef USE_SYSTEM_LIBS
+LIBSZ = ../lib/libzip.a ../lib/libz.a
+LIBSTK = ../lib/libtk8.5.a ../lib/libtcl8.5.a
+endif
 
 LIBS	= \
 	../lib/libsaotk.a \
@@ -55,18 +64,14 @@ LIBS	= \
 	../lib/libast_pal.a \
 	../lib/libsaotk.a \
 	../lib/libwcs.a \
-	../lib/libzvfs.a \
-	../lib/libzip.a \
-	../lib/libz.a \
+	../lib/libzvfs.a $(LIBSZ) \
 	../lib/libxpa.a \
 	../lib/libiis.a \
 	../lib/libcheckdns.a \
 	../lib/libsignal_ext.a \
 	../lib/libxxlib.a \
 	../lib/libBLTX30.a \
-	../lib/libBLTCore30.a \
-	../lib/libtk8.5.a \
-	../lib/libtcl8.5.a
+	../lib/libBLTCore30.a $(LIBSTK)
 
 # if windows, redefine
 ifeq ($(OS),windows)
@@ -309,6 +314,9 @@ $(ZDIR)/$(XMLRPCVER) : zipdir ../lib/$(XMLRPCVER)
 $(ZDIR)/src : zipdir ../src/*.tcl
 	$(RM) -r $@
 	cp -r ../src $(ZDIR)/.
+ifdef USE_SYSTEM_LIBS
+	cp ../src/ds9.syslib.tcl $(ZDIR)/src/ds9.tcl
+endif
 
 $(ZDIR)/msgs : zipdir ../msgs/*
 	$(RM) -r $@
@@ -354,6 +362,15 @@ endif
 #--------------------------linux
 
 ifneq (,$(findstring linux,$(ARCH)))
+ifdef USE_SYSTEM_LIBS
+ds9Base	: $(OBJS) $(LIBS)
+	$(RM) $@
+	$(CXX) ${OPTS}  -Wl,--export-dynamic \
+	-o $@ $(OBJS) $(LIBS) \
+	-L$(X11LIB) -lX11 -lXext -lXft -lXrender -lXss \
+	-lxml2 -lfontconfig -lfreetype -ljbig -lzip -lz -ltk -ltcl \
+	-ldl -lpthread 
+else
 ds9Base	: $(OBJS) $(LIBS)
 	$(RM) $@
 	rm -f libstdc++.a
@@ -367,6 +384,7 @@ ds9Base	: $(OBJS) $(LIBS)
 	-ldl -lpthread 
 	rm -f libstdc++.a
 endif
+endif
 
 #--------------------------darwin
 
diff --git a/make.linux b/make.linux
index a5671e3..cbe453a 100644
--- a/make.linux
+++ b/make.linux
@@ -4,7 +4,7 @@ ARCH	= linux
 X11INCLUDE=/usr/X11R6/include
 X11LIB	= /usr/X11R6/lib
 
-XX	= -O2 
+XX	= -g -O2 
 YY	= -gstabs+ -fno-inline 
 ZZ	=
 
@@ -13,19 +13,34 @@ ZZ	=
 # AA	= -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H
 AA	= -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 
-#OPTS	= ${XX} ${ZZ}
-OPTS	= ${YY} ${ZZ}
+OPTS	= ${XX} ${ZZ}
+#OPTS	= ${YY} ${ZZ}
 NOPTS	= ${YY} ${ZZ}
 
-#CXX	= g++
-CXX	= g++44
+CXX	= g++
 CXXOPT	= ${OPTS} ${AA}
 CXXNOPT	= ${NOPTS} ${AA}
 
-#CC	= gcc
-CC	= gcc44
+CC	= gcc
 CCOPT	= ${OPTS} ${AA}
 CCNOPT	= ${NOPTS} ${AA}
 
 ZCAT	= zcat
 JOBS = 4
+LIBDIR=/usr/lib
+TCL_CONFIG = --with-tcl=/usr/lib \
+--with-tcllibdir=/usr/lib
+
+TK_CONFIG = --with-tk=/usr/lib \
+--with-tklibdir=/usr/lib 
+
+TKTCL_INCLUDE=-I/usr/include/tcl-private/generic \
+-I/usr/include/tcl-private/unix \
+-I/usr/include/tk-private/generic \
+-I/usr/include/tk-private/unix \
+-DHAVE_UNISTD_H
+
+USE_SYSTEM_LIBS=1
+
+
+
diff --git a/make.linux64 b/make.linux64
index c6e80f5..3f486e8 100644
--- a/make.linux64
+++ b/make.linux64
@@ -4,26 +4,39 @@ ARCH	= linux64
 X11INCLUDE=/usr/X11R6/include
 X11LIB	= /usr/X11R6/lib64
 
-XX	= -O2 
+XX	= -g -O2 
 YY	= -g -fno-inline
 ZZ	= -m64 -Wl,--hash-style=both
 
 AA	= -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D__M64
 
-#OPTS	= ${XX} ${ZZ}
-OPTS	= ${YY} ${ZZ}
+OPTS	= ${XX} ${ZZ}
+#OPTS	= ${YY} ${ZZ}
 NOPTS	= ${YY} ${ZZ}
 
-#CXX	= g++
-CXX	= g++44
+CXX	= g++
 CXXOPT	= ${OPTS} ${AA}
 CXXNOPT	= ${NOPTS} ${AA}
 
-#CC	= gcc
-CC	= gcc44
+CC	= gcc
 CCOPT	= ${OPTS} ${AA}
 CCNOPT	= ${NOPTS} ${AA}
 
 ZCAT	= zcat
 JOBS = 4
 
+LIBDIR=/usr/lib64
+TCL_CONFIG = --with-tcl=/usr/lib64 \
+--with-tcllibdir=/usr/lib64 
+
+TK_CONFIG = --with-tk=/usr/lib64 \
+--with-tklibdir=/usr/lib64
+
+TKTCL_INCLUDE=-I/usr/include/tcl-private/generic \
+-I/usr/include/tcl-private/unix \
+-I/usr/include/tk-private/generic \
+-I/usr/include/tk-private/unix \
+-DHAVE_UNISTD_H
+
+USE_SYSTEM_LIBS=1
+
diff --git a/saotk/Makefile b/saotk/Makefile
index d865d0b..d024931 100644
--- a/saotk/Makefile
+++ b/saotk/Makefile
@@ -59,7 +59,7 @@ fitsy++	: FORCE
 	cd fitsy++; $(MAKE)
 
 util	: FORCE
-	cd util; $(MAKE)
+	$(MAKE) -C util
 
 clean	: FORCE
 	cd frame; $(MAKE) clean
diff --git a/saotk/util/Makefile b/saotk/util/Makefile
index 592572c..99eef4b 100644
--- a/saotk/util/Makefile
+++ b/saotk/util/Makefile
@@ -5,7 +5,9 @@ CXXFLAGS = $(CXXOPT) -w \
 	-I. -I.. -I../widget -I../vector -I../frame -I../fitsy++ -I../list \
 	-I../../include -I$(X11INCLUDE) \
 	-I../../$(FUNTOOLSDIR)/util \
-	-I../../$(ASTDIR)
+	-I../../$(ASTDIR) 
+
+CFLAGS= $(CCOPT) $(CXXFLAGS) 
 
 SRC	= attribute.C \
 	grf.C \
@@ -17,12 +19,14 @@ SRC	= attribute.C \
 	ps.C \
 	smooth.C \
 	saotk.C \
-	util.C
+	util.C \
+	tkCanvPsScaled.c
+
 
 INCLS	= smooth.h \
 	util.h
 
-OBJS	= $(SRC:%.C=%.o)
+OBJS	= $(SRC:%.C=%.o) $(SRC:%.c=%.o)
 
 all	: $(OBJS) TAGS
 
diff --git a/zvfs/Makefile b/zvfs/Makefile
index 0637a0c..fb17fe1 100644
--- a/zvfs/Makefile
+++ b/zvfs/Makefile
@@ -1,9 +1,8 @@
 include ../make.include
 include ../make.pkgs
 
-CFLAGS	= $(CCOPT) -I. -I../include
-
-SRC	= zvfs.c zip.c
+CFLAGS	= $(CCOPT) -I. -I../include 
+SRC	= zvfs.c 
 
 OBJS	= $(SRC:%.c=%.o)
 
@@ -13,16 +12,10 @@ all	: $(LIB)
 install	: all
 	cp -f $(LIB) ../lib/.
 
-$(LIB)	: update $(OBJS)
+$(LIB)	: $(OBJS)
 	$(RM) $@
 	$(AR) -cr $@ $(OBJS)
 
-update : FORCE
-	cp ../$(ZIPDIR)/zip.c .
-
-zip.o : zip.c
-	$(CC) $(CFLAGS) -DUSE_ZIPMAIN -I../$(ZIPDIR) -o $@ -c $?
-
 clean	: FORCE
 	rm -f core *~ *#
 
